package fdmscharts.TestGraph;

import java.awt.BorderLayout;

import javax.swing.JApplet;
import javax.swing.JPanel;
import com.steema.teechart.Commander;
import com.steema.teechart.TChart;
import com.steema.teechart.drawing.Gradient;
import com.steema.teechart.drawing.GradientDirection;
import com.steema.teechart.legend.LegendStyle;
import com.steema.teechart.styles.MarksStyle;
import com.steema.teechart.themes.ColorPalettes;
import com.steema.teechart.tools.ColorLine;
import com.steema.teechart.tools.ColorLineStyle;
import com.steema.teechart.tools.MarksTip;

public class TChartPanel extends JPanel {

	private static final long serialVersionUID = -3206803591530615587L;
	protected Commander myCommander;
	protected TChart chart1;
    protected MarksTip marksTip1;
    protected ColorLine colorLine;
	public TChartPanel() {
        super();
        setLayout(new BorderLayout());
        chart1 = new TChart();
        chart1.getFooter().setVisible(false);
        chart1.getHeader().setVisible(false);
        chart1.getAspect().setView3D(true);
        Gradient g=chart1.getPanel().getGradient();
        g.setDirection(GradientDirection.VERTICAL);
        // Smooth gray-like colors that adapt correctly to all demos:
        g.setEndColor(new com.steema.teechart.drawing.Color(109,109,109));
        g.setMiddleColor(new com.steema.teechart.drawing.Color(149,202,255));
        g.setStartColor(new com.steema.teechart.drawing.Color(0,115,230));
        g.setVisible(true);
        chart1.getAxes().getLeft().getAxisPen().setWidth(1);
        chart1.getAxes().getBottom().getAxisPen().setWidth(1);
        chart1.getHeader().getFont().setColor(new com.steema.teechart.drawing.Color(226,226,226));
        
		chart1.getHeader().setVisible(true);
		chart1.getLegend().setVisible(true);
		chart1.getLegend().setLegendStyle(LegendStyle.SERIES);
		chart1.getAspect().setView3D(false);
		chart1.getAxes().getBottom().getLabels().setAngle(90);
		chart1.getLegend().setCheckBoxes(true);

		marksTip1 = new MarksTip(chart1.getChart());
        marksTip1.setStyle(MarksStyle.VALUE);
        
        colorLine = new ColorLine(chart1.getAxes().getRight());
        colorLine.setStyle(ColorLineStyle.CENTER);
        colorLine.setActive(false);
        
        ColorPalettes.applyPalette(chart1.getChart(),1); // Excel color palette
		this.add(chart1, BorderLayout.CENTER);
		initCommander();
        this.validate();
        this.repaint();
    }

    public void setCommanderOrientation(boolean vertical) {
        this.add(myCommander, BorderLayout.PAGE_START);
        this.validate();
    }

    protected void initCommander() {
        myCommander = new Commander(chart1.getChart());
        this.add(myCommander, BorderLayout.PAGE_START);
        myCommander.setVisible(true);
    }

}
